Page MenuHomePhabricator

es2014 revert data compression
Closed, ResolvedPublic

Description

es2014 was cloned from es2005, where a test of data compression was performed, hence all the tables have in addition ROW_FORMAT=COMPRESSED KEY_BLOCK_SIZE=16.

Because of the very small gain obtained, and the newer and bigger machines, we don't need it anymore, hence needs to be reverted, we can get the data from another one of the cluster.

Details

Related Gerrit Patches:
operations/mediawiki-config : mastermariadb: repool es2014 after maintenance
operations/mediawiki-config : mastermariadb: Pool all es2XXX servers, depool es2014 for maintenance

Event Timeline

Volans created this task.Mar 9 2016, 2:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2016, 2:05 PM

My fault. This just needs iterating over all InnoDB tables and decompress. Compression is clearly not useful for External Storage, but we should seriously think about if for core dbs, plus overally the most optimal row format (dynamic vs compact).

Change 344332 had a related patch set uploaded (by Jcrespo):
[operations/mediawiki-config@master] Pool all es2XXX servers, depool es2014 for maintenance

https://gerrit.wikimedia.org/r/344332

jcrespo claimed this task.Mar 23 2017, 9:56 AM
jcrespo moved this task from Backlog to In progress on the DBA board.

Change 344332 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: Pool all es2XXX servers, depool es2014 for maintenance

https://gerrit.wikimedia.org/r/344332

Mentioned in SAL (#wikimedia-operations) [2017-03-23T12:04:59Z] <jynus> converting es2014 tables back to uncompressed InnoDB T129350

jcrespo closed this task as Resolved.Mar 24 2017, 12:16 PM

root@es2014[(none)]> SELECT table_schema, table_name FROM information_schema.tables WHERE Engine='InnodB' AND row_format='compressed';
Empty set (6.40 sec)

Change 344913 had a related patch set uploaded (by Jcrespo):
[operations/mediawiki-config@master] mariadb: repool es2014 after maintenance

https://gerrit.wikimedia.org/r/344913

Change 344913 merged by jenkins-bot:
[operations/mediawiki-config@master] mariadb: repool es2014 after maintenance

https://gerrit.wikimedia.org/r/344913